Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 624342 - (perl-Lingua-Stem-Fr) Review Request: perl-Lingua-Stem-Fr - Perl French Stemming
Review Request: perl-Lingua-Stem-Fr - Perl French Stemming
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Lingua-St...
:
Depends On:
Blocks: perl-Lingua-Stem
  Show dependency treegraph
 
Reported: 2010-08-15 23:57 EDT by Iain Arnell
Modified: 2010-09-01 01:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Lingua-Stem-Fr-0.02-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 14:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-08-15 23:57:58 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Lingua-Stem-Fr.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Lingua-Stem-Fr-0.02-1.fc15.src.rpm

Description:
This module use the a modified version of the Porter Stemming Algorithm to
return a stemmed words.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2403109

*rt-0.10_01
Comment 1 Emmanuel Seyman 2010-08-16 18:09:20 EDT
Taking.
Comment 2 Emmanuel Seyman 2010-08-16 18:22:28 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2405025

 [x] Rpmlint output:
perl-Lingua-Stem-Fr.src: W: no-cleaning-of-buildroot %clean
perl-Lingua-Stem-Fr.src: W: no-buildroot-tag
perl-Lingua-Stem-Fr.src: W: no-%clean-section
perl-Lingua-Stem-Fr.spec: W: no-cleaning-of-buildroot %clean
perl-Lingua-Stem-Fr.spec: W: no-buildroot-tag
perl-Lingua-Stem-Fr.spec: W: no-%clean-section
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
No buildroot defined, default used

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
b4ea5dd1d942b190160e9cbc73115b20  Lingua-Stem-Fr-0.02.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2405025
 [!] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

All tests successful.
Files=1, Tests=16,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.03 cusr  0.00 csys =  0.05 CPU)
Result: PASS

APPROVED.
Comment 3 Iain Arnell 2010-08-16 23:05:52 EDT
Thanks for the review - but could you set the fedora-review flag, not fedora-cvs.
Comment 4 Iain Arnell 2010-08-17 23:06:33 EDT
New Package CVS Request
=======================
Package Name: perl-Lingua-Stem-Fr
Short Description: Perl French Stemming
Owners: iarnell
Branches: F-13 F-14
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2010-08-18 17:18:34 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2010-08-18 23:14:44 EDT
perl-Lingua-Stem-Fr-0.02-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/perl-Lingua-Stem-Fr-0.02-1.fc14
Comment 7 Fedora Update System 2010-08-18 23:14:48 EDT
perl-Lingua-Stem-Fr-0.02-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Lingua-Stem-Fr-0.02-1.fc13
Comment 8 Fedora Update System 2010-08-19 21:36:23 EDT
perl-Lingua-Stem-Fr-0.02-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Lingua-Stem-Fr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Lingua-Stem-Fr-0.02-1.fc13
Comment 9 Fedora Update System 2010-08-30 14:25:14 EDT
perl-Lingua-Stem-Fr-0.02-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-09-01 01:44:35 EDT
perl-Lingua-Stem-Fr-0.02-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.